unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, Buttons, Pager;

type
  TForm1 = class(TForm)
    ftPager1: TftPager;
    Memo1: TMemo;
    PageBtn: TBitBtn;
    CancelBtn: TBitBtn;
    CloseBtn: TBitBtn;
    Header: THeader;
    PortGroup: TRadioGroup;
    DataGroup: TRadioGroup;
    StopGroup: TRadioGroup;
    ParityGroup: TRadioGroup;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    BaudGroup: TRadioGroup;
    Bevel1: TBevel;
    procedure CloseBtnClick(Sender: TObject);
    procedure ftPager1PagerStatus(status: Integer; eventstring: String;
      var proceed: Boolean);
    procedure PageBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
    { Private declarations }
  public
    { Public declarations }
    inpage : boolean;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.CloseBtnClick(Sender: TObject);
begin
   Close;
end;

procedure TForm1.ftPager1PagerStatus(status: Integer; eventstring: String;
  var proceed: Boolean);
begin
   case status of
      Page_Error         :  begin
                            inpage := false;
                            header.sections[0] := 'Error';
                            end;
      Initializing_Modem :  begin
                            inpage := true;
                            header.sections[0] := 'Paging...';
                            end;
      Dialing_Modem      :  header.sections[0] := 'Dialing Modem';
      Wait_On_Connect    :  header.sections[0] := 'Waiting On Connection';
      ID_Request         :  header.sections[0] := 'Waiting for ID Request';
      Sending_Message    :  header.sections[0] := 'Sending Message';
      Message_Sent       :  header.sections[0] := 'Page Sent';
      Message_Error      :  header.sections[0] := 'Message Error';
      Invalid_Pager_ID   :  header.sections[0] := 'Invalid Pager ID';
      Resending_Page     :  header.sections[0] := 'Resending Page';
      Closing_Modem      :  begin
                            CancelBtnClick(nil);
                            header.sections[0] := 'Enter Message';
                            end;
   end;
   proceed := inpage;
end;

procedure TForm1.PageBtnClick(Sender: TObject);
begin
   if (length(memo1.text) > 0) and (length(edit1.text) > 0) and (length(edit2.text) > 0) and
      (length(edit3.text) > 0) then
      with ftpager1 do
      begin
      comport := portgroup.itemindex+1;
      databits := datagroup.itemindex+4;
      parity := paritygroup.itemindex;
      stopbits := stopgroup.itemindex;
      case baudgroup.itemindex of
         0 : baudrate := 300;
         1 : baudrate := 1200;
         2 : baudrate := 2400;
      end;
      dialsuffix := edit1.text;
      servicephone := edit2.text;
      pagerid := edit3.text;
      CancelBtn.enabled := true;
      inpage := true;
      ftpager1.messagetopage := memo1.text;
      ftpager1.pagemessage;
      end;
end;

procedure TForm1.CancelBtnClick(Sender: TObject);
begin
   inpage := false;
   CancelBtn.enabled := false;
end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   if (key = 27) then
      begin
      if inpage then
         CancelBtnClick(nil)
        else
         CloseBtnClick(nil);
      key := 0;
      end;
end;

end.
